# $Revision: 1.14 $, $Date: 2004/05/07 01:12:28 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	Substrings
Summary:	String::Substrings - module to extract some/all substrings from a string
Summary(pl):	String::Substrings - modu do wycigania czci/wszystkich podcigw z cigu
Name:		perl-String-Substrings
Version:	0.02
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f733d88cd3f8349946832fb640984842
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-String-Random
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-ManyParams
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module has only one method substrings. It is called as
substrings STRING [,LENGTH]. Without a length specification, it
returns all substrings with a length of 1 or greater including the
string itselfs. The substrings returned are sorted for the length
(starting with length 1) and for their index. E.g. substrings "abc"
returns ("a","b","c","ab","bc","abc"). This order is guaranteed to
stay even in future versions. That also includes that the returned
list of substrings needn't be unique. E.g. substrings "aaa" returns
("a","a","a","aa","aa","aaa").

%description -l pl
Ten modu ma tylko jedn metod - substrings. Wywouje si j jako
substrings CIG [,DUGO]. Bez podanej dugoci, zwraca wszystkie
podcigi o dugoci 1 lub wikszej, wcznie z caym cigiem. Zwracane
podcigi s posortowane po dugoci (poczwszy od 1) i po indeksie.
Np. substrings "abc" zwraca ("a","b","c","ab","bc","abc").
Gwarantowane jest zachowanie kolejnoci w przyszych wersjach.
Zwracana lista podcigw nie musi by unikalna. Np. substrings "aaa"
zwraca ("a","a","a","aa","aa","aaa").

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Substrings.spec,v $
Revision 1.14  2004/05/07 01:12:28  ankry
- rel. 4

Revision 1.13  2004/05/06 18:21:11  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/01 00:32:00  ankry
- license fixed, cosmetics

Revision 1.11  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.10  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:28  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:24  qboosh
- pl description, release 2

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
